package cz.upol.jj2.lab02;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URI;
import java.net.URL;

/**
 * Implementace klienta, ktery pristupuje k datum pres tridu URL
 */
public class URLExample {
	
	public static void main(String[] args) throws IOException {
		System.out.println(loadFile("https://www.inf.upol.cz"));
	}
	
	/**
	 * Nacte po jednotlivych radcich data z dane URL
	 */
	private static String loadFile(String url) throws IOException {
		String line;
		StringBuilder buf = new StringBuilder();
		
		URL source = URI.create(url).toURL(); //new URL(url); //konsturktory URL jsou od Java 20 deprecated
		//opakovani: co je tohle za konstrukci?
		try (InputStream is = source.openStream();
			 BufferedReader rd = new BufferedReader(new InputStreamReader(is))) {
			
			while ((line = rd.readLine()) != null)
				buf.append(line).append("\n");
		}
		//opakovani: proc tu nikde neni close?
		return buf.toString();
	}

}
